PGP(5.0)

NAME
pgp.cfg - Format of the configuration file used by pgp5(1).

DESCRIPTION
The default location for this file is ~/.pgp. You may specify another location by setting the environment variable PGPPATH. SH COMMAND-LINE SPECIFICATION All PGP applications accept these options as command-line arguments, as well. Command line arguments always override the configuration file. Options are specified with a double-dash (--) or plus (+), followed by an equal sign (=) and the value, if appropriate. For example, to specify the public keyring to use on an encryption operation: pgpe -r foo@bar.baz.com --pubring=~/fooring.pkr To turn on text mode, in an encryption: pgpe -r foo@bar.baz.com --textmode

OPTIONS
The following configuration options are supported, both in the pgp.cfg file and on the command line of PGP applications. Case is not important in specifying the variable names, but may be in specifying filenames, depending on your operating environment. Immediately following each option is a description of its type: Boolean is either "1" or "on" or "0" or "off"; String is a string; and Integer is a number.

Armor
    Boolean. Turns ASCII armoring on or off. The default is off.

ArmorLines
    Integer. Specifies the maximum number of lines that may be contained in an ASCII armored message. Messages longer than this number of lines will be broken up into multi-part ASCII armored messages. A value of zero indicates an unlimited number of lines. The default is zero.

AutoServerFetch
    Boolean. If on, when adding keys with pgpk(1), if a specified key file is not found, it is assumed to be the name of a key to retrieve from your default key server (see HTTPKeyServerHost and HTTPKeyServerPort, below). Some intelligence is attempted; even if this is on, if it is obvious a file was intended (if the first characters are either "/" or "./"), a fetch will not be made. The default is on.

Compress
    Boolean. Specifies whether messages should be compressed prior to encryption. The default is on.

EncryptToSelf
    Boolean. If on, automatically encrypts all messages to your default key, as well as to the intended recipient. Intended to allow you to read encrypted mail you've sent. The default is off.

FastKeyGen
    Boolean. Utilizes pre-generated prime numbers for certain initial operations on DSS/Diffie-Hellman key generation. This only works for "standard" key sizes (1024, 1596 and 2048). The default is on. To turn this off, use: pgpk +fastkeygen=0 -g

HTTPKeyServerHost
    String. The name of a keyserver to use in default lookups (see AutoServerFetch, above). The default is pgpkeys.mit.edu.

HTTPKeyServerPort
    Integer. The port to use for connections to the default key server as specified in HTTPKeyServerHost, above. The default is 11371, the default port for the Horowitz Key Protocol.

Language
    String. The country code of the language you wish to use. The default is "us."

LanguageFile
    String. The file from which to load runtime strings. The default is "language50.txt" in your .pgp directory. If this file does not exist, PGP will use internal defaults.

MyName
    String. The key ID you wish to be default for signing operations and the EncryptToSelf option, above. There is no default; however, if none is specified, the first secret key on your secret keyring will be used for most operations.

NoBatchInvalidKeys
    Boolean. If True, batch mode will fail if the user attempts to encrypt to a key that is invalid or not completely valid. If false, batch mode will use invalid keys. Note that this option only applies to batch mode; normally, PGP will ask the user to confirm prior to encrypting to in an invalid key. The default is on.

PubRing
    String. Your public keyring file. The default is "pubring.pkr" in your .pgp directory.

RandomDevice
    String. Entropy-generating device. If present, it will be used in favor of asking the user for keyboard input. The default is "/dev/random."

SecRing
    String. Your secret keyring file. The default is "secring.skr" in your .pgp directory.

WarnOnMixRSADiffieHellman
    Boolean. Warns the user if encrypting to multiple keys, one or more of which is RSA and one or more of which is DSS/Diffie-Hellman. The reason for this warning is that most RSA key owners will still be using 2.6.2, which will not properly decrypt such messages. The default is on.

WarnOnRSARecipAndNonRSASigner
    Boolean. Warns the user if encrypting to an RSA key, but signing with a DSS/Diffie-Hellman key. The reason for this warning is that most RSA key owners will still be using 2.6.2, which will not properly decrypt such messages. The default is on.

BUGS
See pgp5(1).

SEE ALSO
pgp5(1), pgpe(1), pgpv(1), pgps(1), pgpk(1), pgp-integration(7), http://www.pgp.com (US versions) and http://www.pgpi.com (International versions)